<div class="summary-row flexrow">
    <div class="summary-runes-list flexrow">
        <ol class="skills-list">
            {{#if data.flags.locked}}            
            <table class="attack-table-locked" data-attacktype="melee" border="2">
            {{else}}
            <table class="attack-table-unlocked" data-attacktype="melee" border="2">
            {{/if}}
                <colgroup>
                    <col span="1" style="width: 35%;">
                    <col span="1" style="width: 10%;">
                    <col span="1" style="width: 20%;">
                    <col span="1" style="width: 15%;">
                    <col span="1" style="width: 10%;">
                    <col span="1" style="width: 10%;">
                </colgroup>            
                <thead  class="thead-attack">
                    <th colspan="5">{{localize attacklabel}}</th>
                    <th colspan="1"><a class="item-control item-create" title="Create item" data-type="attack" data-attacktype="{{attacktype}}"><i class="fas fa-plus"></i></a></th>
                </thead>
                <thead class="thead-attack">
                    <tr>
                        <th class="summary-attack-label">{{localize "RQG.Attack"}}</th>
                        <th class="summary-attack-value"> % </th>
                        <th class="summary-attack-damage">{{localize "RQG.Damage"}}</th>
                        <th class="summary-attack-damage">{{localize "RQG.HP"}}</th>
                        <th class="summary-attack-damage">{{localize "RQG.SR"}}</th>
                        <th class="summary-attack-damage">&nbsp;</th>
                    </tr>                    
                </thead>
                <tbody class="item-list">
                {{#if data.flags.locked}}
                    {{#each attacks as |attack id|}}
                    <tr class="item" data-itemid="{{attack._id}}" data-item-id="{{attack._id}}" data-attackname="{{attack.name}}" data-skillcategory="{{attacktype}}weapons">
                        <td class="summary-attack-label"><a class="attack-roll">{{attack.name}}</a></td>
                        <td class="summary-attack-value">{{attack.data.data.attacktotal}}</td>
                        <td class="summary-attack-damage">{{attack.data.data.damage}}</td>
                        <td class="summary-attack-damage">{{attack.data.data.hpcurrent}}/{{attack.data.data.hpmax}}</td>
                        <td class="summary-attack-damage">{{attack.data.data.sr}}</td>
                        <td class="item-controls">
                            <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                        </td>                        
                    </tr>
                    {{/each}}
                {{else}}
                    <tr class="attack-header">
                        <th>
                            {{localize "RQG.Name"}}
                        </th>
                        <th>
                            {{localize "RQG.SkillUsed"}}
                        </th>
                        <th>
                            {{localize "RQG.Modifier"}}
                        </th>
                        <th>
                            {{localize "RQG.Damage"}}
                        </th>
                        <th>
                            {{localize "RQG.SpecialType"}}
                        </th>
                        <th>
                            {{localize "RQG.WSR"}}
                        </th>
                        <th colspan="2">
                            {{localize "RQG.HP"}}
                        </th>
                        <th>
                            {{localize "RQG.Range"}}
                        </th>
                        <th>
                            {{localize "RQG.Rate"}}
                        </th>
                        <th>
                            {{localize "RQG.Amno"}}
                        </th>
                        <th>
                            {{localize "RQG.DamageBonus"}}
                        </th>
                        <th>{{localize "RQG.Edit"}}</th>
                    </tr>
                    {{#each attacks as |attack id|}}
                    <tr class="item" data-item-id="{{attack._id}}" data-attackname="{{attack.name}}" data-skillcategory="{{attacktype}}weapons">
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.name"  value="{{attack.data.name}}"  data-dtype="String"  />
                        </td>
                        <td>
                            {{log "In CS-Summary preparing display of attackskills"}}
                            {{log @root}}
                            {{#if @root.actor}}
                            <select class= "attack-select attacks" name="data.skillused" data-dtype="String">
                                {{#select attack.data.data.skillused}}
                                {{#each (getcharacterattackskills @root.actor.data._id attack.data.data.attacktype) as |skill id|}}
                                <option value="{{skill._id}}">{{skill.name}}</option>
                                {{/each}}
                                {{/select}}
                            </select>                  
                            {{else}}
                            <select class= "attacks" name="data.skillused" data-dtype="String">
                                {{#select attack.data.data.skillused}}
                                {{#each @root.config.weaponskills as |name type|}}
                                <option value="{{type}}">{{localize name}}</option>
                                {{/each}}
                                {{/select}}
                            </select>                  
                            {{/if}}            
                        </td>
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.modifier"  value="{{attack.data.data.modifier}}"  data-dtype="Number"  />
                        </td>
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.damage"  value="{{attack.data.data.damage}}"  data-dtype="String"  />
                        </td>
                        <td>
                            <!-- <input  class="attribute-value attacks"  type="text"  name="data.specialtype"  value="{{attack.data.data.specialtype}}"  data-dtype="String"  /> -->
                            {{log @root.config.specialtype}}
                            <select class="attack-select attacks" name="data.specialtype">
                                {{#select attack.data.data.specialtype}}
                                {{#each @root.config.specialtype as |name type|}}
                                    <option value="{{type}}">{{localize name}}</option>
                                {{/each}}
                                {{/select}}
                            </select> 
                        </td>
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.wsr"  value="{{attack.data.data.wsr}}"  data-dtype="String"  />
                        </td>         
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.hpmax"  value="{{attack.data.data.hpmax}}"  data-dtype="String"  />
                        </td>
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.hpcurrent"  value="{{attack.data.data.hpcurrent}}"  data-dtype="String"  />
                        </td>            
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.range"  value="{{attack.data.data.range}}"  data-dtype="String"  />
                        </td>    
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.rate"  value="{{attack.data.data.rate}}"  data-dtype="String"  />
                        </td> 
                        <td>
                            <input  class="attribute-value attacks"  type="text"  name="data.amno"  value="{{attack.data.data.amno}}"  data-dtype="String"  />
                        </td>             
                        <td>
                            <input class="attacks-db" type="checkbox" name="data.db" {{checked attack.data.data.db}}/>
                        </td>            
                        <!-- 
                        <td class="summary-attack-label"><a class="attack-roll">{{attack.name}}</a></td>
                        <td class="summary-attack-skillname">{{attack.data.data.skillused}}</td>
                        <td class="summary-attack-value">{{attack.data.data.modifier}}</td>
                        <td class="summary-attack-damage">{{attack.data.data.damage}}</td>                                
                        <td class="item-controls">
                            <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                        </td>
                        -->
                        <td class="item-controls">
                            <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                        </td>
                    </tr>
                    {{/each}}
                {{/if}}
            </tbody>
            </table>   
        </ol>
    </div>    
</div>
